Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.instance.command
Class PortletInstanceCommand

    java.lang.Object
      org.jboss.portal.common.invocation.Invocation
          org.jboss.portal.core.controller.ControllerCommand
              org.jboss.portal.core.model.instance.command.PortletInstanceCommand

Direct Known Subclasses:
  InvokePortletInstanceActionCommand, InvokePortletInstanceRenderCommand, RenderPortletInstanceCommand

    public abstract class PortletInstanceCommand

extends ControllerCommand

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`protected Instance` | `instance` The instance displayed.
`protected java.lang.String` | `instanceId` The instance id.
`protected org.jboss.portal.portlet.StateString` | `navigationalState` The navigational state.

Fields inherited from class org.jboss.portal.core.controller.ControllerCommand
`context, log, NAVIGATIONAL_STATE_SCOPE, PRINCIPAL_SCOPE, REQUEST_SCOPE, SESSION_SCOPE`

Fields inherited from class org.jboss.portal.common.invocation.Invocation
`EMPTY_STACK`

Constructor Summary
`protected` | `PortletInstanceCommand(java.lang.String instanceId, org.jboss.portal.portlet.StateString navigationalState)`

Method Summary
`void` | `acquireResources()`
`java.lang.String` | `getInstanceId()`
`org.jboss.portal.portlet.StateString` | `getNavigationalState()`

Methods inherited from class org.jboss.portal.core.controller.ControllerCommand
`create, createContext, destroy, destroyContext, enforceSecurity, execute, getContext, getControllerContext, getInfo, releaseResources, rethrow`

Methods inherited from class org.jboss.portal.common.invocation.Invocation
`getAttribute, getHandler, invoke, invokeNext, removeAttribute, setAttribute, setHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instanceId

    protected java.lang.String instanceId

  The instance id.

### navigationalState

    protected org.jboss.portal.portlet.StateString navigationalState

  The navigational state.

### instance

    protected Instance instance

  The instance displayed.

Constructor Detail

### PortletInstanceCommand

    protected PortletInstanceCommand(java.lang.String instanceId,
                                     org.jboss.portal.portlet.StateString navigationalState)

Method Detail

### getInstanceId

    public java.lang.String getInstanceId()

### acquireResources

    public void acquireResources()
                          throws NoSuchResourceException

  Overrides:
    `acquireResources` in class `ControllerCommand`
  Throws:
    `NoSuchResourceException`

### getNavigationalState

    public org.jboss.portal.portlet.StateString getNavigationalState()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD